Subject: Re: State of the MPC5200 PSC AC97 driver

From: Matt Sealey <[email-masked]>
Date: Thu, 10 Apr 2008 16:25:20 +0100

I have a copy of the driver I hacked to work with the new PSC framework
but it doesn't "work" anymore - I have no idea why.

Mail me privately if you want it, I have no time to make patches or
look for a good reason for the breakages, but it compiles at least.
The Efika hack should be gone now (irrelevant since we released a firmware
that obseletes it) and the other fixmes should be by the wayside
considering the fscking thing doesn't play sound anymore...

-- 
Matt Sealey <[email-masked]>
Genesi, Manager, Developer Relations

Marian Balakowicz wrote:
> Hi Sylvain,
> 
> Last year you have posted a MPC5200 PSC AC97 driver patch
> "[PATCH 9/9] sound: Add support for Freescale MPC5200 AC97 interface."
> with the following comment:
> 
>> Not quite a clean driver, but it get things done (well, mostly).
>> Only included to be able to test functionalityi/usage of
>> the BestComm driver.
> 
> There are various FIXMEs and commented out code here and there.
> Could you elaborate a bit on the overall state of the driver's
> functionality,
> which areas need improvement and attention?
> 
> Seems that you mainly tested BestComm with this driver, what was the
> overall
> BestComm performance, any issues here? Did you use any specific test setup
> involving some dedicated application, etc.?
> 
> Did anyone else tried it and/or has a updated version or can share
> experience?
> 
> Thanks in advance.
> 
> Cheers,
> m.